:root {
    --navbar-height: 80px;
    --heading-font: 'Adobe Caslon';
    --text-font: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    --burgermenu-width: 20%;
    --sidebar-width: 20%;
  }

  .navbar {
    top: 0;
    left: 0;
    position: fixed;
    z-index: 2;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: var(--navbar-height);
    background-color: white;
    color: black;
    font-family: var(--heading-font);
  }
  
  .navbar a {
    text-decoration: none;
    color: black;
    font-weight: normal;
  }
  
  .name {
    width: 60%;
    font-size: 40px;
    margin-left: var(--burgermenu-width);
    text-align: center;
  }
  
  .MenuIcon {
    font-size: 30px;
  }
  
  .burgermenu {
    width: var(--burgermenu-width);
  }
  
  .burgermenu a {
    margin-left: 80%;
  }

  .sidebar {
    top: 0;
    right: 0;
    position: fixed;
    z-index: 3;
    height: 100vh;
    width: var(--sidebar-width);
    font-family: var(--text-font);
    transition: width 0.3s;
    background-color: white;
    border-left: solid 2px rgba(128,128,128,0.1);
  }

  .closed {
    display: none;
  }
  
  .sidebar a {
    text-decoration: none;
    color: black;
    line-height: 4;
  } 
  
  .exit {
    margin-left: 80%;
    margin-bottom: 10px;
    margin-top: calc((var(--navbar-height) - 50px) / 2);
  }
  
  .sidebarlinks {
    font-size: 20px;
    margin-top: 33px;
  }
  
  .sidebarlinks a {
    padding-left: 20px;
  }
  
  .sidebarlinks a:hover {
    color: #E9AFAF;
    font-weight: bold;
  }

  .HeaderFooter {
    background-color: white;
   }
   
  body {
    margin-top: var(--navbar-height);
  }


  /* For extra small devices (phones, 600px and down)*/
  @media only screen and (max-width: 600px) {
    :root {
      --navbar-height: 40px;
    }

    .navbar {
      width: 100%;
      height: 100px;
      display: flex;
      flex-direction: column;
    }

    .name {
      width: 100%;
      font-size: 34px;
      margin: 0;
      padding: 0;
    }

    .name p {
      margin-block-end: 0.5rem;
    }

    .burgermenu {
      margin: 0;
    }

    .burgermenu a {
      margin: 0;
    }

    .sidebar {
      top: 60;
      width: 100%;
      height: 100%;
    }

    .sidebar a {
      line-height: 1;
    } 

    .exit {
      margin-left: 0;
      margin-bottom: 10px;
      margin-top: 20px;
    }

    .sidebarlinks {
      display: flex;
      flex-direction: column;
      width: 100%;
      margin-top: 30px;
    }

    .sidebarlinks a {
      padding: 0;
      font-family: var(--text-font);
    }
    
    body {
      margin-top: calc(2 * var(--navbar-height) + 25px);
    }
  }

  /* Small devices (portrait tablets and large phones, 601px and up) */
@media only screen and (min-width: 601px) and (max-width: 768px) {
  :root {
    --sidebar-width: 40%;
  }
  .burgermenu {
    margin-right: 3%;
  }
}

/* Medium devices (landscape tablets, 769px and up) */
@media only screen and (min-width: 769px) and (max-width: 992px){
  :root {
    --sidebar-width: 30%;
  }
  .burgermenu {
    margin-right: 2%;
  }
}

/* Large devices (laptops/desktops, 993px and up) */
@media only screen and (min-width: 993px) and (max-width: 1200px){
  :root {
    --sidebar-width: 25%;
  }
}